
// ==UserScript==
// @name           Set Target
// @description    Set the target of links, forms, ... to the same tab/window.
// @include        *
// ==/UserScript==

/*
 *	Home:      http://userscripts.org/scripts/show/8227
 *	ChangeLog: http://set-target-userscript.blogspot.com/
 */

function main()
{
	var elements = document.evaluate(".//a[@target] | .//area[@target] | .//base[@target] | .//form[@target] | .//link[@target]", document.body, null, XPathResult.UNORDERED_NODE_SNAPSHOT_TYPE, null);
	if (elements) for (var i = 0; i < elements.snapshotLength; i++) setTarget(elements.snapshotItem(i));
}

function setTarget(element)
{
	var attribute = element.getAttribute("target");
	switch (attribute)
	{
		case "_parent":
		case "_self":
		case "_top":
			return;
		default: // _blank VALUE AND OTHERS
			element.setAttribute("target", "_self"); // SET TARGET
	}
}

main();
